打印

一个关于GD lib的问题

一个关于GD lib的问题

我的服务器已经配置好,并且也已工作,但是现在需要绘制图像。因此,我在linux下面装了GD lib. 但是,还是不能绘制图像。这是为什么?
我看了一些资料,说是要重新装php,是否是这样?

多谢!

TOP

GD长征之路还很遥远——还需要FreeType 2、T1lib、jpeg-6b、png、xpm的库支持

请看http://cn2.php.net/gd

TOP

这要看 php 编译的时候有没有打开相关的支持了。

TOP

我的php是在gd之前装的,在那时候编译的时候,没有gd 。我是现在需要做图像了,才安装的gd。我想知道,我是否需要从新安装php,或则就是重新编译一次php,就可以了。如果,从重新编译的话,如何做。多谢!

TOP

请耐心看看http://cn2.php.net/gd

如果已经把apache2安装在/usr/local/apache2下、MySQL5安装在/usr/local/mysql下,请
[code:1]
./configure --prefix=/usr/local/php --with-apxs2=/usr/local/apache2/bin/apxs --with-mysql=/usr/local/mysql --with-mysqli=/usr/local/mysql/bin/mysql_config --with-zlib --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr/local --with-xpm-dir=/usr/local --with-freetype-dir=/usr/local --with-t1lib --enable-gd-native-ttf --enable-mbstring
[/code:1]
then
[code:1]
make
[/code:1]
then
[code:1]
make install
[/code:1]
then
[code:1]
cp php.ini-dist /usr/local/lib/php.ini
[/code:1]
千万不要忘记
[code:1]
/usr/local/apache2/bin/apachectl restart
[/code:1]

如果不想这么麻烦,就直接安装rpm包最好了,什么都不用配置了

TOP

多谢!

TOP